function [wgd,cost] = lrgd(X,y,lambda,numIter)
% Syntax:       [wgd,cost] = lrgd(X,y,lambda,numIter)
%               
% Inputs:       X is a (D x N) matrix whose columns are examples/features
%               
%               y is a vector of length N whose values are the labels -1 and +1
%
%               lambda is the regularization paramter
%
%               numIter is the number of iterations to perform
%               
% Outputs:      wgd is a vector of length D that defines the classifier
%
%               cost is a vector of length numIter of the cost at each iteration
