import numpy as np
import matplotlib.pyplot as plt
from normalize import normalize

pRange = [0.2, 0.5, 0.9, 1, 2, 3]

D = 2
N = int(1e5)
X = np.random.randn(D,N)

plt.figure()
for p in pRange:
    Xn = normalize(X, p)
    plt.plot(Xn[0,:], Xn[1,:], '.', label='p = ' + str(p))

plt.legend()
plt.show()
