import numpy as np

def lrsgd(X, y, lam, numIter):
    r"""
    Syntax:       wsgd, cost = lrsgd(X, y, lam, numIter)

    Inputs:
    -------
        X is a (D x N) matrix whose columns are examples
       
        y is a vector of length N whose values are the labels -1 and +1

        lam is the regularization paramter

        numIter is the number of iterations to perform

    Outputs:
    -------
        wsgd is a vector of length D that defines the classifier

        cost is a vector of length numIter of the cost at each iteration
    """
