clear
close all

pRange = [0.2 0.5 0.9 1 2 3];

figure
hold all

D = 2;
N = 1e5;
X = randn(D,N);

for pp = 1:length(pRange)
    p = pRange(pp);
    Xn = normalize(X,p);
    plot(Xn(1,:),Xn(2,:),'.')
end
l = legend('$\ell_{0.2}$-norm','$\ell_{0.5}$-norm','$\ell_{0.9}$-norm','$\ell_{1}$-norm','$\ell_{2}$-norm','$\ell_{3}$-norm');
set(l,'interpreter','latex')
